package com.nantian.cloud.dbcapp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectNew;
import com.nantian.cloud.dbcapp.entity.TConfigureEnergykinds;
import com.nantian.cloud.dbcapp.mapper.record.TConfigureEnergykindsMapper;
import com.nantian.cloud.dbcapp.service.TConfigureEnergykindsService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service("TConfigureEnergykindsService")
public class TConfigureEnergykindsImpl extends ServiceImpl<TConfigureEnergykindsMapper,TConfigureEnergykinds> implements TConfigureEnergykindsService {

    @Override
    public List<TConfigureEnergykinds> getInfo() {
        return null;
    }

    @Override
    public List<Map<String, Object>> getList(String epc) {
        return baseMapper.getList(epc);
    }

    @Override
    public List<Map<String, Object>> getKindsList(String epc) {
        return baseMapper.getKindsList(epc);
    }

    @Override
    public List<Map<String, Object>> getNewKindsList(String epc) {
        return baseMapper.getNewKindsList(epc);
    }

    @Override
    public List<Map<String, Object>> getCollectList(String epc, String baseCode) {
        return baseMapper.getCollectList(epc,baseCode);
    }

    @Override
    public Boolean updateDataCodeOld(ConfigureDataCollectNew configureDataCollectNew) {
        return baseMapper.UpdateconfigureDataCollectNew(configureDataCollectNew);
    }

    @Override
    public List<Map<String, Object>> getNoCollectList(String epc, String baseCode) {
        return baseMapper.getNoCollectList(epc,baseCode);
    }
}
